Bug 1671518 - [abrt] xfce4-appfinder: magazine_chain_pop_head(): xfce4-appfinder killed by SIGSEGV
Summary: [abrt] xfce4-appfinder: magazine_chain_pop_head(): xfce4-appfinder killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-appfinder
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f3fb3101f3451beacc66c6f0e55...
: 1672108 1677988 1706282 1706292 1707615 (view as bug list)
Depends On: 1668484
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-31 19:29 UTC by Miro Hrončok
Modified: 2019-11-27 18:10 UTC (History)
47 users (show)

Fixed In Version: xfce4-appfinder-4.13.3-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:10:46 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.04 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: cgroup (195 bytes, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: core_backtrace (9.54 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: cpuinfo (1.49 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: dso_list (8.79 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: environ (1.77 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: exploitable (95 bytes, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: maps (56.44 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: mountinfo (3.32 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: open_fds (2.22 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-01-31 19:29 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-01-31 19:29:03 UTC
Version-Release number of selected component:
xfce4-appfinder-4.13.2-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        xfrun4
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=887eaaad8a374c5e9394ed1828070e0f;i=20822;b=0bcfb940ea2f4682b67f7565253f1afe;m=1043498f07;t=580c5fd201918;x=ee8df67fb0624f83
kernel:         4.20.4-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:538
 #1 thread_memory_magazine1_alloc at gslice.c:841
 #2 g_slice_alloc at gslice.c:1015
 #3 g_slice_alloc0 at gslice.c:1050
 #4 g_type_create_instance at gtype.c:1846
 #5 g_object_new_internal at gobject.c:1805
 #6 g_object_new_with_properties at gobject.c:1973
 #8 g_local_file_new_from_dirname_and_basename at glocalfile.c:239
 #9 g_file_monitor_source_queue_event at glocalfilemonitor.c:233
 #10 g_file_monitor_source_send_event at glocalfilemonitor.c:319

Comment 1 Miro Hrončok 2019-01-31 19:29:07 UTC
Created attachment 1525539 [details]
File: backtrace

Comment 2 Miro Hrončok 2019-01-31 19:29:08 UTC
Created attachment 1525540 [details]
File: cgroup

Comment 3 Miro Hrončok 2019-01-31 19:29:09 UTC
Created attachment 1525541 [details]
File: core_backtrace

Comment 4 Miro Hrončok 2019-01-31 19:29:11 UTC
Created attachment 1525542 [details]
File: cpuinfo

Comment 5 Miro Hrončok 2019-01-31 19:29:12 UTC
Created attachment 1525543 [details]
File: dso_list

Comment 6 Miro Hrončok 2019-01-31 19:29:13 UTC
Created attachment 1525544 [details]
File: environ

Comment 7 Miro Hrončok 2019-01-31 19:29:14 UTC
Created attachment 1525545 [details]
File: exploitable

Comment 8 Miro Hrončok 2019-01-31 19:29:15 UTC
Created attachment 1525546 [details]
File: limits

Comment 9 Miro Hrončok 2019-01-31 19:29:17 UTC
Created attachment 1525547 [details]
File: maps

Comment 10 Miro Hrončok 2019-01-31 19:29:19 UTC
Created attachment 1525548 [details]
File: mountinfo

Comment 11 Miro Hrončok 2019-01-31 19:29:20 UTC
Created attachment 1525549 [details]
File: open_fds

Comment 12 Miro Hrončok 2019-01-31 19:29:22 UTC
Created attachment 1525550 [details]
File: proc_pid_status

Comment 13 Raphael Groner 2019-01-31 19:42:06 UTC
Maybe duplication of bug #1667495 due to nearly similiar backtrace.

Comment 14 Mukundan Ragavan 2019-02-04 03:29:07 UTC
*** Bug 1672108 has been marked as a duplicate of this bug. ***

Comment 15 John Duchek 2019-02-05 13:38:23 UTC
Similar problem has been detected:

This has been happening for the last few days.  It happens on boot up.  The desktop shows black (no wallpaper) and the mouse right click menu does not work and the desktop program runs but one cannot change the settings.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 228136ffa-e87b-4522-b027-99ae9e052647
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=9e56489f1a724d8b8ab99c0072926fb7;i=1be81d;b=ef27cc870b984eaca77cb5acdd85dd64;m=5ded73e2;t=58125a2459279;x=863ae27a08531f2e
kernel:         4.20.5-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Ronald L Humble 2019-02-10 12:45:55 UTC
Similar problem has been detected:

Normal use. No unusual behavior before crash popup

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 29c151edd-306f-4c6e-aece-5a1b297210cc
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=17a0abe3d66d45d589bf2d4c30204a03;i=76abdb;b=07af3fff919842c2915650635ed678a7;m=1c8dbe7b;t=5818970d0d2cb;x=bd9ba016b0b116cf
kernel:         4.20.6-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Scott Cohen 2019-02-11 06:20:23 UTC
Similar problem has been detected:

I was remoting in with NoMachine and doing a sudo dnf update and had recently quit Firefox. xfce4-whiskermenu-plugin and gtk3 were in the list of upgraded packages. Here is a list of the packages that upgraded:
https://pastebin.com/jjhfJ1cV
https://archive.is/tnpIC

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-2.0 /usr/lib64/xfce4/panel/plugins/libwhiskermenu.so 8 18874375 whiskermenu Whisker Menu Show a menu to easily access installed applications
crash_function: magazine_chain_pop_head
executable:     /usr/lib64/xfce4/panel/wrapper-2.0
journald_cursor: s=5cee89a16fe74a1d9b20ea325ac2e5fe;i=341b3;b=9538143a78724ab4928672b2c8a1fcd6;m=1a5930040f;t=581982378e234;x=5b975632a09951c4
kernel:         4.20.6-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         wrapper-2.0 killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Raphael Groner 2019-02-18 23:28:47 UTC
*** Bug 1677988 has been marked as a duplicate of this bug. ***

Comment 19 Stefan Gies 2019-02-20 18:53:04 UTC
Similar problem has been detected:

Updating Fedora 29 WS in a terminaö using dnf update --refresh -y

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 265861629-0b57-492d-88d3-6beba6893a62
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=cc66409940884a46899b73ec568a4e63;i=3d2d4;b=5a127aa90a7c47988c52c118d90545bd;m=16fd5f6d;t=58257cf96624e;x=3d88cdff56a624b9
kernel:         4.20.8-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Eric Harney 2019-02-20 18:59:29 UTC
Similar problem has been detected:

Happened during a dnf update of a handful of packages.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfrun4
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=e2843e32f6df43fdb8937849805c56ed;i=28c39c;b=5e5ae414b5d246bf9be269c92558ba97;m=a8e06def2;t=58257e9b0edba;x=122aea7b3576a02a
kernel:         4.20.8-200.fc29.x86_64
package:        xfce4-appfinder-4.13.2-1.fc29
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Raphael Groner 2019-02-20 23:18:55 UTC
Sometimes, abrts let me think about enforced features but not bugs.

Comment 22 Louis-Marius Pineau 2019-02-21 15:47:56 UTC
Similar problem has been detected:

It happens upon login and sometime without warning. I only know it happens when I detect a refresh of xfce4-pannel and
an  error message windows appears on my screen. It does not seems to affect the use of my environment because it
does not cause applications to crash.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=c7594d8e1b4646849307d7351a14a313;i=53659;b=3d62de68e05f4f649e9450c2f97fdf4f;m=132586d07;t=58266910c91e7;x=c3f9e63df777976b
kernel:         4.20.8-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Raphael Groner 2019-02-21 18:17:26 UTC
# 23 .

Comment 24 Miro Hrončok 2019-02-26 19:55:18 UTC
Similar problem has been detected:

This happens during dnf upgrade. A joined report of xfce4-panel, xfce4-appfinder and xfdesktop. I've observed a short restart of the components.

No xfce component got updated, so I guess it might have been the apps menu during one of the .desktop files update.

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        xfrun4
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=887eaaad8a374c5e9394ed1828070e0f;i=48e0c;b=225ea3ce54df421fb69adf36dc960f39;m=379597972d;t=582cee6ad2c0c;x=a0fc6778146d1e08
kernel:         4.20.6-200.fc29.x86_64
package:        xfce4-appfinder-4.13.2-1.fc29
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Rick Elrod 2019-02-27 23:18:31 UTC
Similar problem has been detected:

Happened at random, I wasn't interacting with xfce4-panel at all.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2fa20a9a1-c96e-4190-afa8-40812c813852
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=eda069701a83471c80419a318e312118;i=1bd0;b=7903a80f90224afc88e1fd646e712764;m=200da4833;t=582e83dc882e0;x=d2af666d77f2268f
kernel:         4.20.10-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Miro Hrončok 2019-02-28 08:50:34 UTC
Anybody, did this happen during a dnf update for you as well?

Comment 27 Eric Harney 2019-03-01 17:35:41 UTC
Similar problem has been detected:

Happened during a "dnf update".

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfrun4
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=e2843e32f6df43fdb8937849805c56ed;i=5ad17e;b=5e5ae414b5d246bf9be269c92558ba97;m=85552fdb5d;t=5830bcec1c695;x=74d8ca2e6bade979
kernel:         4.20.8-200.fc29.x86_64
package:        xfce4-appfinder-4.13.2-1.fc29
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 velosol 2019-03-06 07:14:04 UTC
Similar problem has been detected:

Problem occurred while dnf-dragora GUI was running and updating a series of packages, I MAY have opened Firefox around the same time.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 26e53e51a-2091-462b-931e-268425a606b2
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=d6ac512daac54d2181973156ed072ab8;i=bc45;b=384745000d7d4736b9f4c3856a628337;m=95647805;t=583581b6f4a57;x=61ac96fbc7f0c257
kernel:         4.20.13-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 Indy 2019-03-23 17:40:23 UTC
Similar problem has been detected:

I had just booted the system, opened a terminal (to check for updates and install them via dnf), and opened Rocks and Diamonds to play while waiting for the system update. I saw the error dialog then.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=62cfd4fb69804c8191ae00a578f6b561;i=61ef;b=24acbac578544d97a2ce5695e9dbb966;m=14311d2b;t=584c65c4a0bc4;x=f6c0b0e84dca6f65
kernel:         4.20.16-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 Jaime Viehweg 2019-04-22 01:29:44 UTC
Similar problem has been detected:

chrome hung, then everything blinked, and the error popped up.  I can't do it on purpose, it just happens once in a while, and I got tired of it so I am sending this report

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2f7c48fcd-4ba1-4bb8-a933-9289bcdfb549
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=7d087ff50b9f44cb810f9653437bd818;i=11bf5;b=a7a6ed1f7be94aa6b18c57dc6ac34ddb;m=408b0284a3;t=5871451e692fe;x=dd2ea0544cc471cd
kernel:         5.0.7-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Comment 31 Scott Cohen 2019-04-26 17:26:53 UTC
Similar problem has been detected:

I don't know what caused this problem.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-appfinder --collapsed
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=4b8cb791631c4c979cec674a11d6819a;i=5b90e;b=ab8104905e814c2cb57169596e528fde;m=1331c644b07;t=58765edc62363;x=b1ef75258e5c1644
kernel:         5.0.6-200.fc29.x86_64
package:        xfce4-appfinder-4.13.2-1.fc29
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 João Carlos Mendes Luís 2019-05-03 21:08:58 UTC
Similar problem has been detected:

Just upgraded from Fedora 29, nothing else diferent

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=7b0f8b13ffff4f7db57ed4e5828060a4;i=aef83;b=41cf2e56984443ae959be38545fa5bf1;m=2d2978006d;t=587eaf4e41e18;x=24d58d9f4c2c9f0c
kernel:         5.0.9-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            40024

Comment 33 Villy Kruse 2019-05-04 05:23:14 UTC
(In reply to Miro Hrončok from comment #26)
> Anybody, did this happen during a dnf update for you as well?

Yes, it does.

Also when touching one of the desktop files in /usr/share/applications

For example 

touch /usr/share/applications/firefox.desktop 

will trigger this.

Comment 34 Mukundan Ragavan 2019-05-04 11:18:52 UTC
*** Bug 1706282 has been marked as a duplicate of this bug. ***

Comment 35 Mukundan Ragavan 2019-05-04 11:19:27 UTC
*** Bug 1706292 has been marked as a duplicate of this bug. ***

Comment 36 Sebastian Krämer 2019-05-04 11:27:07 UTC
(In reply to Miro Hrončok from comment #26)
> Anybody, did this happen during a dnf update for you as well?

Yes, it happens during dnf update.

Comment 37 David 2019-05-04 13:50:39 UTC
Similar problem has been detected:

I decided to uninstall Firefox and replace it with Icecat. FF uninstalled OK but IC installation generated this error.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 263d0e581-bc06-454e-b2c9-047ccd352b71
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=70fd86696d044a60bd87ba4828d957cc;i=baae2;b=f11b1e0bf8dc438885c6e8225d09e9c9;m=30667d773;t=5880e2f2d3b7e;x=5cd1fa8c0d22ca04
kernel:         5.0.10-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 38 Mukundan Ragavan 2019-05-08 01:34:03 UTC
*** Bug 1707615 has been marked as a duplicate of this bug. ***

Comment 39 João Carlos Mendes Luís 2019-05-10 18:05:38 UTC
Similar problem has been detected:

Just logged in and ran a `dnf upgrade`

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=7b0f8b13ffff4f7db57ed4e5828060a4;i=bfa55;b=be3cece29aae4b7a97165634de07f8d3;m=8b13ec38ce;t=5888c4be970c1;x=f9f4f86d2ace8b5e
kernel:         5.0.10-300.fc30.x86_64
package:        xfce4-panel-4.13.4-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            40024

Comment 40 Fedora Update System 2019-05-18 13:49:48 UTC
xfce4-settings-4.13.6-1.fc30 xfce4-appfinder-4.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 41 Fedora Update System 2019-05-19 00:51:14 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 42 Don 2019-06-01 11:52:11 UTC
Similar problem has been detected:

Ran dnf update.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 29f617e87-4af2-4149-8cb2-28f7456ee2f7
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=450e1a36d6fb4c61afb64408db581e02;i=1d1e90;b=61ef5fbd871d41c09c2aa333ef1b8389;m=4f32c9c57e;t=58a41b00fa04a;x=60ef45c75d92f1f1
kernel:         5.0.17-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 43 Andy Lawrence 2019-06-05 12:13:24 UTC
Similar problem has been detected:

Happens during an update, dnf -y update

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 24fb07698-1bac-46f8-8dcf-30d6eb9c3d40
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=f0c046f2ba5e41bf9859f137e55a11c1;i=567c;b=8eb3a95a3fae42559f6789ed12080cc3;m=3803026af2;t=58a9279212cf0;x=6edbb2abc0e5f59b
kernel:         5.1.5-300.fc30.x86_64
package:        xfce4-panel-4.13.4-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 44 Zuxy Meng 2019-06-09 01:31:12 UTC
Similar problem has been detected:

Resume from a vmware VM

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=9bea11246f6f47bb9c808149b45f1b61;i=3157;b=7ca2c571736e436c9a8854a3c35085bf;m=6c597b84;t=589f5e358525b;x=ebbefc494c8e422d
kernel:         5.0.17-300.fc30.x86_64
package:        xfce4-panel-4.13.4-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 45 Dan Horák 2019-06-13 07:50:17 UTC
Similar problem has been detected:

The crash happens during some "dnf update" transactions. Seems when a package with specific content is being updated, then xfce4-panel crashes.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2a66e2f78-d6b9-4dc8-bdf2-8ba12c6aad8f
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=ba7ec4ea35b642f78b85505795db7cf5;i=4ca29;b=7a58e107db2046ebbbda500928b8c531;m=85fbba03;t=58b2f182ccf43;x=be4ba16eaaaf2ba2
kernel:         5.2.0-0.rc4.git0.1.fc31.op.1.ppc64le
package:        xfce4-panel-4.13.5-1.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 46 Paul DeStefano 2019-06-13 14:58:26 UTC
Similar problem has been detected:

Happens when I log into screensaver, I think.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=4b42275b6f4f47beab359f6b4a9dd449;i=c8515;b=d9882da0a48748ad8e058333a0681b50;m=203e3dcdc;t=58a3371116ee4;x=e011c9c944b01b2a
kernel:         5.0.17-300.fc30.x86_64
package:        xfce4-panel-4.13.4-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp

Comment 47 Jussi Eloranta 2019-06-13 22:39:22 UTC
Similar problem has been detected:

removed earth quake plugin

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 26a3f870a-3997-466c-97f3-55fb617edfbd
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=71dfc8742d9448b7a5ff6da12adcee30;i=bc539;b=02d2f6873fcb4729a09c88e2158b8b3b;m=1a773a1bc21;t=588531ddf1430;x=cd560987b68d47f8
kernel:         5.0.7-300.fc30.x86_64
package:        xfce4-panel-4.13.4-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1022

Comment 48 Stan King 2019-06-14 21:56:38 UTC
Similar problem has been detected:

This happened in the middle of a "dnf update" operation.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=1e715640b4474a3287e84e149fe8b5dd;i=116b4;b=9ea05a2c84954e5abe32ef08f43d2b8c;m=2e7d5d09;t=58b4f98422be5;x=9887f1becc5b0942
kernel:         5.1.7-300.fc30.x86_64
package:        xfce4-panel-4.13.4-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 49 Jordan Pisaniello 2019-06-16 15:04:57 UTC
Posting this again from a closed duplicate [https://bugzilla.redhat.com/show_bug.cgi?id=1707615] I commented on. The reporting tool unfortunately linked me to that one.

Not too helpful of a comment here but the same thing seems to happen to me when I occasionally click on the whisker menu panel icon. I can't manually produce it, but it seems to happen somewhat randomly. When it does happen, I am asked if I want to restart the plugin. Please let me know how I could be of help / what additionally information I could provide.

Comment 50 Fedora Update System 2019-06-18 00:54:55 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 51 Fedora Update System 2019-06-18 03:45:50 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 52 Daniel D. 2019-06-22 11:18:34 UTC
Similar problem has been detected:

Crashed during apparently unrelated package updates were taking place (issued a dnf upgrade for installing all pending updates)

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2e315cefe-192d-49fc-b8cb-216d7deeb068
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=fc408c9ce7714d66bc82ee7f8b6df3b9;i=161cb7;b=1b259d5672754517985663cc2fd74a3f;m=6192af8f22;t=58be6d85a8e7a;x=ed20017cf7f03389
kernel:         5.1.6-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 53 Cristian Ciupitu 2019-06-22 20:11:53 UTC
Reopening it, because it's still happening with xfce4-appfinder-4.13.3-1.fc30.x86_64.

Comment 54 Villy Kruse 2019-06-23 06:17:37 UTC
(In reply to Cristian Ciupitu from comment #53)
> Reopening it, because it's still happening with
> xfce4-appfinder-4.13.3-1.fc30.x86_64.

Are all the other xfce related packages up-to-date?

For me the problem has not occurred for quite some time.

Comment 55 Cristian Ciupitu 2019-06-24 13:28:15 UTC
Yes, the whole system is up to date and the testing repositories are enabled.

Comment 56 Stan King 2019-07-10 10:23:38 UTC
Similar problem has been detected:

This happened during a "dnf update" operation.  xfce4-panel was not a subject of the update.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=20a66e5cb99c4641b474ac797704cee5;i=358f80;b=632ce164be5e40169693cbed0d4e6f67;m=34ff5598;t=58d50c883baea;x=4187a1efff393a0a
kernel:         5.1.16-200.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 57 Miro Hrončok 2019-07-16 23:16:46 UTC
Similar problem has been detected:

runnign dnf upgrade, xfce4-panel, xfce4-appfinder and xfdesktop restarted when updating packages with desktop files.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2bbfe45d6-0f1f-48e6-a9ef-49b9fe3a08a8
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=46a5ab75150b46f1ae695708bb82a4a6;i=c0e5;b=1997576fa85142b78f514a93dd2a2b44;m=91b891816e;t=58dd46fd27449;x=9779c2f0369f18ce
kernel:         5.1.16-300.fc30.x86_64
package:        xfce4-panel-4.13.6-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 58 Scott Cohen 2019-07-18 07:05:39 UTC
Similar problem has been detected:

I don't know what caused this.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2ac3091b2-6035-43f2-a953-3a270e6b2fcc
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=4b8cb791631c4c979cec674a11d6819a;i=88da1;b=ccea740710a84b0ab059e2bd8ff32f34;m=5d27cea987;t=58c044a12d528;x=ce2f86135bb9059e
kernel:         5.1.11-300.fc30.x86_64
package:        xfce4-panel-4.13.5-1.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 59 GeoffLeach 2019-07-25 14:51:55 UTC
Similar problem has been detected:

I've been running xfce4-panel in a terminal window. Here's hte latest collection of messages. Not you will see related to this crash. The program restarted itself in the background.

(xfce4-panel:4408): GLib-GObject-WARNING **: 19:13:57.784: invalid uninstantiatable type '(null)' in cast to 'GarconMenuItemAction'

(xfce4-panel:4408): garcon-CRITICAL **: 19:13:57.784: garcon_menu_item_action_get_name: assertion 'GARCON_IS_MENU_ITEM_ACTION (action)' failed

(xfce4-panel:4408): GLib-GObject-WARNING **: 19:13:57.784: invalid uninstantiatable type '(null)' in cast to 'GarconMenuItemAction'

(xfce4-panel:4408): garcon-CRITICAL **: 19:13:57.784: garcon_menu_item_action_get_name: assertion 'GARCON_IS_MENU_ITEM_ACTION (action)' failed

(xfce4-panel:4408): garcon-CRITICAL **: 19:13:57.784: garcon_menu_item_action_unref: assertion 'GARCON_IS_MENU_ITEM_ACTION (action)' failed

(xfce4-panel:4408): GLib-GObject-WARNING **: 19:13:57.784: invalid uninstantiatable type '(null)' in cast to 'GarconMenuItemAction'

(xfce4-panel:4408): garcon-CRITICAL **: 19:13:57.784: garcon_menu_item_action_get_name: assertion 'GARCON_IS_MENU_ITEM_ACTION (action)' failed

(xfce4-panel:4408): GLib-GObject-WARNING **: 19:13:57.784: invalid uninstantiatable type '-g-type-private--GTypeFlags' in cast to 'GarconMenuItemAction'

(xfce4-panel:4408): garcon-CRITICAL **: 19:13:57.784: garcon_menu_item_action_get_name: assertion 'GARCON_IS_MENU_ITEM_ACTION (action)' failed

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2bf52e241-befe-4525-8aa1-c1c1687a9285
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=bd7ce6f70cf348cea991f9f5074a85c6;i=1e9af;b=d9db0ff67eb24a05a6e35a6b5d043a5e;m=37e22cd247;t=58e810a4980fd;x=eb88cd1fd05815a8
kernel:         5.1.18-300.fc30.x86_64
package:        xfce4-panel-4.13.6-2.fc30
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 60 Daniel D. 2019-08-28 18:28:14 UTC
Similar problem has been detected:

Crash occurred while running dnf upgrade  
(Running scriptlet: google-chrome-stable-76.0.3809.132-1.x86_64)

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2e315cefe-192d-49fc-b8cb-216d7deeb068
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-panel
journald_cursor: s=fc408c9ce7714d66bc82ee7f8b6df3b9;i=19c867;b=19cfa95c65d6488599f8bc184a442fea;m=14bb730305;t=591315a85c08f;x=8dd2fe6b2ca85569
kernel:         5.2.7-100.fc29.x86_64
package:        xfce4-panel-4.13.4-1.fc29
reason:         xfce4-panel killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 61 Ben Cotton 2019-10-31 18:54:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 62 John Dodson 2019-11-12 18:42:28 UTC
I would like to note that similar problems occur in FC30 (bug 1771120?)

xfce4-panel.x86_64                    4.14.1-1.fc30

I have not been able to "localise" the problem to anything.

Perhaps we need a panel config file "checker"?

Comment 63 Ben Cotton 2019-11-27 18:10:46 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.